<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//vista principal
Route::get('/','PrincipalController@index');
Route::get('/MSC','MaestriaController@inicioSistemasOtra');
Route::get('/MGA','MaestriaController@inicioGestionOtra');
Route::get('/msc','MaestriaController@inicioSistemasOtra');
Route::get('/mga','MaestriaController@inicioGestionOtra');


// vista de otras paginas con una sola vista 
Route::get('/admision','PrincipalController@admision');
Route::get('/reinscripcion','PrincipalController@reinscripcion');
Route::get('/contactos','PrincipalController@contactos');

// vista maestrias
// Sistemas
Route::get('/maestriaSistemas','MaestriaController@inicioSistemas');
Route::get('/maestriaSistemas/objetivos','MaestriaController@objetivosSistemas');
Route::get('/maestriaSistemas/perfil','MaestriaController@perfilSistemas');
Route::get('/maestriaSistemas/lineas','MaestriaController@lineasSistemas');
Route::get('/maestriaSistemas/planEstudios','MaestriaController@planEstudiosSistemas');
Route::get('/maestriaSistemas/permanencia','MaestriaController@permanenciaSistemas');
Route::get('/maestriaSistemas/obtencionGrado','MaestriaController@obtencionGradoSistemas');
Route::get('/maestriaSistemas/actividades','MaestriaController@actividadesSistemas');
Route::get('/maestriaSistemas/nucleo','MaestriaController@nucleoSistemas');
Route::get('/maestriaSistemas/productividadDocente','MaestriaController@productividadDocenteSistemas');
Route::get('/maestriaSistemas/tesis','MaestriaController@tesisSistemas');
Route::get('/maestriaSistemas/productividadAlumno','MaestriaController@productividadAlumnoSistemas');


//Gestiona
Route::get('/maestriaGestion','MaestriaController@inicioGestion');
Route::get('/maestriaGestion/objetivos','MaestriaController@objetivosGestion');
Route::get('/maestriaGestion/perfil','MaestriaController@perfilGestion');
Route::get('/maestriaGestion/lineas','MaestriaController@lineasGestion');
Route::get('/maestriaGestion/planEstudios','MaestriaController@planEstudiosGestion');
Route::get('/maestriaGestion/permanencia','MaestriaController@permanenciaGestion');
Route::get('/maestriaGestion/obtencionGrado','MaestriaController@obtencionGradoGestion');
Route::get('/maestriaGestion/actividades','MaestriaController@actividadesGestion');
Route::get('/maestriaGestion/nucleo','MaestriaController@nucleoGestion');
Route::get('/maestriaGestion/productividadDocente','MaestriaController@productividadDocenteGestion');
Route::get('/maestriaGestion/tesis','MaestriaController@tesisGestion');
Route::get('/maestriaGestion/productividadAlumno','MaestriaController@productividadAlumnoGestion');


//  vista principal administradora
Route::get('/admin','LoginController@index');

Route::get('/logout','LoginController@logout');

// currculum
// identificacion
Route::Resource('/admin/curriculum/identificacion/','IdentificacionController');
//Area y disciplina
Route::Resource('/admin/curriculum/areaDisciplina/','AreaDisciplinaController');

//Datos laborales
Route::Resource('/admin/curriculum/datosLaborales/','DatosLaboralesController');

//Estudios realizados
Route::Resource('/admin/curriculum/estudiosRealizados/','EstudiosRealizadosController');
//lineamientos
Route::Resource('/admin/lineamientos/','LineamientosController');
Route::get('/admin/lineamientos/delete/{id}','LineamientosController@destroy');
Route::get('/lineamientos','PrincipalController@lineamientos');
//vinculacion
Route::Resource('/admin/vinculacion/','VinculacionController');
Route::get('/admin/vinculacion/delete/{id}','VinculacionController@destroy');
Route::get('/vinculacionMSC','PrincipalController@vinculacionMSC');
Route::get('/vinculacionMGA','PrincipalController@vinculacionMGA');





// Lineas de investigacion
Route::Resource('/admin/lineasInvestigacion/','LineasInvestigacionController');
Route::get('/admin/lineasInvestigacion/edit/{id}','LineasInvestigacionController@edit');
Route::post('/admin/lineasInvestigacion/update/{id}','LineasInvestigacionController@update');
// lines docentes
Route::Resource('/admin/lineasDocentes/','LineasPersonalController');
Route::get('/admin/lineasDocentes/edit/{id}','LineasPersonalController@edit');
Route::post('/admin/lineasDocentes/update/{id}','LineasPersonalController@update');
// Alumnos tesis
Route::Resource('/admin/alumnoTesis/','AlumnoTesisController');
Route::get('/admin/alumnoTesis/edit/{id}','AlumnoTesisController@edit');
Route::post('/admin/alumnoTesis/update/{id}','AlumnoTesisController@update');
Route::get('/admin/alumnoTesis/foto/create/{id}','AlumnoTesisController@mostrarVista');
Route::post('/admin/alumnoTesis/foto/store','AlumnoTesisController@guardarImagen');


//  vista adminstradora carrucel
Route::Resource('/admin/carrusel','CarrucelController');
Route::post('/admin/carrusel/update/{id}','CarrucelController@update');

//  vista adminstradora noticia
Route::Resource('/admin/noticia','NoticiasController');
Route::post('/admin/noticia/update/{id}','NoticiasController@update');

// admision
Route::Resource('/admin/admision','AdmisionController');

//Route::get('/admin/registroAspirantesAdmisionVista','AdmisionController@registroAspirantesAdmisionVista');
Route::post('/admin/registroAspirantesAdmision','AdmisionController@registroAspirantesAdmision');
Route::get('/admin/listadoAspirantesAdmision','AdmisionController@listadoAspirantesAdmision');
Route::get('/admin/verAspirantesAdmision/{id}','AdmisionController@verAspirantesAdmision');
Route::get('/admin/aprobarAspirantesAdmision/{id}','AdmisionController@aprobar_aspirante');
Route::post('/admin/registroDocumentosAspirantesAdmision','AdmisionController@registroDocumentosAspirantesAdmision');
Route::post('/admin/guardarDocumento','AdmisionController@guardarDocumento');
Route::get('/admin/verDocumentosAspirantesAdmision/{id}','AdmisionController@verDocumentosAspirantesAdmision');

// reinscripcion
Route::Resource('/admin/reinscripcion','ReinscripcionController');

// contactos 
Route::Resource('/admin/contactos','ContactoController');

//  delfin 
Route::Resource('/admin/delfin','DelfinController');
Route::get('/admin/fechasVista','DelfinController@mostrarVista');
Route::post('/admin/fechasDatos','DelfinController@guardarDatos');

// productividad
Route::Resource('/admin/productividad','ProductividadController');
Route::post('/admin/productividad/update/{id}','ProductividadController@update');

// CVU
Route::get('/admin/docentesCVUVista/{id}','LineasPersonalController@docentesCVUVista');
Route::post('/admin/docentesCVUGuardar','LineasPersonalController@docentesCVUGuardar');

Route::get('/admin/docentesCVUVista/{id}','LineasPersonalController@docentesCVUVista');

// descargar documentoos
Route::get('/descargarArchivos','PrincipalController@descargarArchivos');
//Route::Resource('/admin/reinscripcion','AdmisionController');

